import React, { useContext, useMemo } from 'react';
import { prefixCls } from '../config';
import { store } from '../store';
const Description = () => {
    const { state: { currentFieldOrFunction, }, } = useContext(store);
    const { name, description, useage, label, value, } = currentFieldOrFunction;
    return useMemo(() => (React.createElement("div", { className: `${prefixCls}-description-layout` },
        React.createElement("h2", null, name !== null && name !== void 0 ? name : label),
        React.createElement("div", { className: `${prefixCls}-description-layout-description` }, description !== null && description !== void 0 ? description : `返回 ${label} 列单元格的值`),
        React.createElement("div", { className: `${prefixCls}-description-layout-description-useage` }, "\u7528\u6CD5"),
        React.createElement("code", null, useage !== null && useage !== void 0 ? useage : `{${value}}`))), [currentFieldOrFunction]);
};
export default Description;
