import React, { useMemo, useContext } from 'react';
import { Icon } from 'polaris-react-component';
import { store } from '../store';
import { prefixCls, ErrorMap } from '../config';
const ErrorText = () => {
    const { state: { errorCode, errorText, }, } = useContext(store);
    const errorMsg = errorText ? ErrorMap.get(errorCode) + errorText : '';
    return useMemo(() => (React.createElement("p", { className: `${prefixCls}-error` }, errorMsg && (React.createElement(React.Fragment, null,
        React.createElement(Icon, { type: "icontips" }),
        React.createElement("span", null, errorMsg))))), [errorCode]);
};
export default ErrorText;
